      subroutine failabel0(labelt,label0,atom2)
      character label0,labelt
      character(4) atom2
      logical yw
      yw=.false.
      if(labelt/=' ') then
         label0=labelt
         return
      endif
      label0='O'
      if(atom2=='core') then
         label0='C'
      else if(atom2=='diff') then
         label0='T'
      endif
      return
      end
